
Core - Task # 43210

Epic # 55070 (Accepted): Workpackages
Epic # 54851 (Accepted): WP: Workspaces IRRE & MM bugfixes
Story # 54853 (Accepted): As a user I want to correctly create, modify, preview and publish IRRE & MM related workspace changes

Status: Closed Priority: Should have
Author: Oliver Hader Category: Workspaces
Created: 2012-11-21 Assigned To:
Updated: 2014-06-17 Due date:
TYPO3 Version: 4.5
PHP Version:
Complexity:
Sprint Focus:
Subject: Resolving element dependencies does not work on deleted child records
Description

Imagine a structure of IRRE parent and child records - if one of those records are not deleted in a workspace, the parent pointer field
(foreign_field) will still point to the live parent, not to the version parent. This results in a a wrong sys_refindex entry for that record
which then again causes wrong dependency resolving on that deleted child record - it just has no parent record in that case.

I'm currently not sure where tx_version_tcemain or t3lib_TCEmain is causing this on deleting records...

History
#1 - 2012-11-21 22:00 - Oliver Hader
- Status changed from New to Accepted

#2 - 2013-12-10 00:57 - Michael Stucki
- Category changed from Bugs to Workspaces

#3 - 2013-12-10 01:02 - Michael Stucki
- Project changed from Workspaces & Versioning to Core
- Category changed from Workspaces to Workspaces

#4 - 2014-01-27 08:19 - Oliver Hader
- Parent task set to #54853
- Is Regression set to No

#5 - 2014-01-27 08:20 - Oliver Hader
- Assigned To deleted (Oliver Hader)

#6 - 2014-02-18 00:47 - Oliver Hader
- Status changed from Accepted to On Hold

#7 - 2014-06-17 16:23 - Oliver Hader
- Status changed from On Hold to Closed
- % Done changed from 0 to 100

t3lib_loadDBgroup / RelationHandler filtered out delete placeholders in the past - thus was resolved with TYPO3 6.2.0
